package cv09.test;

/**
 * @author Karel Cemus
 */
public class Offroad extends Vehicle implements HasSeats {

    private final int seats;

    public Offroad( String name, int price, int year, int seats ) {
        super( name, price, year );
        this.seats = seats;
    }

    @Override
    public int getWheels() {
        return 4;
    }

    @Override
    public int getSeats() {
        return seats;
    }
}
